Debian Bug report logs - #690368
pdnsd: postinst overwrites admin changes to /etc/default/pdnsd

version graph

Package: pdnsd; Maintainer for pdnsd is Debian QA Group <packages@qa.debian.org>; Source for pdnsd is src:pdnsd.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Wed, 3 Oct 2012 19:15:01 UTC

Severity: serious

Found in version pdnsd/1.2.8-par-2.3

Fixed in version pdnsd/1.2.8-par-3

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#689537; Package pdnsd. (Wed, 03 Oct 2012 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Wed, 03 Oct 2012 19:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pdnsd: deletes conffiles on package removal (policy 10.7.3): /etc/NetworkManager/dispatcher.d/002_NetMan_pdnsd
Date: Wed, 03 Oct 2012 21:12:45 +0200
[Message part 1 (text/plain, inline)]
Package: pdnsd
Version: 1.2.8-par-2.3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package modifies conffiles.
This is forbidden by the policy, see
http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files

10.7.3: "[...] The easy way to achieve this behavior is to make the
configuration file a conffile. [...] This implies that the default
version will be part of the package distribution, and must not be
modified by the maintainer scripts during installation (or at any
other time)."

debsums reports modification of the following files,
from the attached log (scroll to the bottom...):

  debsums: missing file /etc/NetworkManager/dispatcher.d/002_NetMan_pdnsd (from pdnsd package)

This file is missing after the following sequence:
  install
  remove (dont purge)
  install

Deleted conffiles are not restored on package updates/reinstallation.
That is a local modification that is preserved by dpkg.

cheers,

Andreas
[pdnsd_1.2.8-par-2.3.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#689537; Package pdnsd. (Fri, 05 Oct 2012 09:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Fri, 05 Oct 2012 09:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 689537@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 689537@bugs.debian.org
Subject: Re: Bug#689537: pdnsd: deletes conffiles on package removal (policy 10.7.3): /etc/NetworkManager/dispatcher.d/002_NetMan_pdnsd
Date: Fri, 05 Oct 2012 10:59:13 +0200
Hi,

Andreas Beckmann wrote (03 Oct 2012 19:12:45 GMT) :
> Version: 1.2.8-par-2.3

> during a test with piuparts I noticed your package modifies conffiles.
[...]
>   debsums: missing file /etc/NetworkManager/dispatcher.d/002_NetMan_pdnsd (from pdnsd
> package)

> This file is missing after the following sequence:
>   install
>   remove (dont purge)
>   install

In case it might help, I currently have 1.2.8-par-2.3 installed, and
that file is missing here. My etckeeper git -d log tells me that file
was deleted by the upgrade from 1.2.8-par-2 to 1.2.8-par-2.1, who
knows why.



Information forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#689537; Package pdnsd. (Fri, 05 Oct 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Fri, 05 Oct 2012 09:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 689537@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: intrigeri <intrigeri@boum.org>
Cc: 689537@bugs.debian.org
Subject: Re: Bug#689537: pdnsd: deletes conffiles on package removal (policy 10.7.3): /etc/NetworkManager/dispatcher.d/002_NetMan_pdnsd
Date: Fri, 05 Oct 2012 11:08:43 +0200
On 2012-10-05 10:59, intrigeri wrote:
> In case it might help, I currently have 1.2.8-par-2.3 installed, and
> that file is missing here. My etckeeper git -d log tells me that file
> was deleted by the upgrade from 1.2.8-par-2 to 1.2.8-par-2.1, who
> knows why.

because the prerm unconditionally deletes that conffile, so it also gets
lost on plain upgrades - or even a reinstallation.

and while we are at mishandling conffiles: /etc/default/pdnsd is also
shipped as a conffile but modified by maintainer scripts (using a
debconf answer ...)


Andreas



Bug 689537 cloned as bug 690368 Request was from Stuart Prescott <stuart@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 11:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'pdnsd: postinst overwrites admin changes to /etc/default/pdnsd' from 'pdnsd: deletes conffiles on package removal (policy 10.7.3): /etc/NetworkManager/dispatcher.d/002_NetMan_pdnsd' Request was from Stuart Prescott <stuart@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 11:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#690368; Package pdnsd. (Sat, 13 Oct 2012 15:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Sat, 13 Oct 2012 15:24:11 GMT) Full text and rfc822 format available.

Message #24 received at 690368@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Stuart Prescott <stuart@debian.org>
Cc: 690368@bugs.debian.org
Subject: Re: Bug#690340: RM: pdnsd -- RoQA; orphaned, RC-buggy
Date: Sat, 13 Oct 2012 11:23:36 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 13/10/2012 07:18, Stuart Prescott a écrit :

> Fixing #690368 (incorrect conffile + debconf handling) will be much more work -- 
> the easiest way of fixing that would be to remove *all* debconf handling in 
> there and leave it to the admin to configure pdnsd by editing 
> /etc/default/pdnsd by hand.

Documenting your advice in the appropriate bug report, thanks.

> Given the time you have invested in translations 
> for the debconf questions, perhaps you'd rather not take that approach.

That should not be a blocker (no debconf screen also means that no
debconf translation is outdated ;).

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQeYd4AAoJELgqIXr9/gnybTUQAKDyE4HbAfTlH1oVPXTavdUm
4kKPg21IGt1CYG0tqCFwZKOo1LmNuue0hOSQohlg9jHmux0oatlvBLQPRJbR0oou
rsppkFTHuFf9gAZw0Ha8cRCFOQBuGpxX91dmyTlj+jIFo8irkau9EF69gV1A3EPa
mG/D75RHuRgoQFkRfM6oYKi68tml3uM+JNzvhSyB/cgltF0oh06XxPoj+FrR3IgV
UVOrRMyEZvjCk0GU9ZOszWgdVeYh4rBkcoW8t6E9Z4YmlmOJth0cCj0d9UvLqf5y
ohpj6MojG/nlsnNvs0Q14SzBLaZDvY6NlrgErvrvQIrMjwzgEOswrt5v92fho2RD
yPDgr1jGquVc6hqacXqrgwiGqAv/0ndvPVryGQ2IRGGWuV9YZqfxpiIBODllVIsk
aKV1psdYX9pPGqNRSdFE5F2HKRJefAf62YqJZgy3hrgIhiO08tjOBgQG2WqASQ6E
dOtbPTyDRapmj5UWmY/c6OQMQOTU8rMmR6+UKtLTfQkfCb4co8y2aUqC6ghL7VDM
ihoEvqOuZxhpGhuq5qrk45fcUMWFHhjFmZ8sMAgWeKvop1J/BSWTGRnSQPgLecQK
VALVmTU9skehPsyVuETX1cR9WNiZcMkb0kcbmc+nza2b4D0ECXwhS7XJMsm+nhKn
3wtRkGIIjfNbsyt0I4sA
=8yZk
-----END PGP SIGNATURE-----



Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 19 Oct 2012 20:51:08 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Fri, 19 Oct 2012 20:51:08 GMT) Full text and rfc822 format available.

Message #29 received at 690368-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 690368-close@bugs.debian.org
Subject: Bug#690368: fixed in pdnsd 1.2.8-par-3
Date: Fri, 19 Oct 2012 20:47:42 +0000
Source: pdnsd
Source-Version: 1.2.8-par-3

We believe that the bug you reported is fixed in the latest version of
pdnsd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated pdnsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 19 Oct 2012 22:36:35 +0200
Source: pdnsd
Binary: pdnsd
Architecture: source amd64
Version: 1.2.8-par-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 pdnsd      - Proxy DNS Server
Closes: 689537 690368
Changes: 
 pdnsd (1.2.8-par-3) unstable; urgency=low
 .
   * QA upload.
 .
   [ Stuart Prescott ]
   * Only remove /etc/NetworkManager/dispatcher.d/002_NetMan_pdnsd on purge
     (Closes: #689537).
   * Remove now-empty prerm maintainer script template.
 .
   [ gregor herrmann ]
   * Set maintainer to "Debian QA Group <packages@qa.debian.org>"
     (cf. #689563)
   * Fix "postinst overwrites admin changes to /etc/default/pdnsd":
     - install default file below /usr/share
     - copy it to /etc/default in postinst if necessary
     - preserver also "Manual" value in config
     - remove it in postinst/purge
     (Closes: #690368)
Checksums-Sha1: 
 37aeaed98c74add90db51a8d2ed36bf804d4b145 1854 pdnsd_1.2.8-par-3.dsc
 3122779ae291ce4611b5b27676afc1b99d752810 28508 pdnsd_1.2.8-par-3.debian.tar.gz
 10f87aa7b78e7024814ccc083412d370ad136284 304714 pdnsd_1.2.8-par-3_amd64.deb
Checksums-Sha256: 
 4d1366eedacf5c93d7d8fc28b7dc895c04e9ea76800b81a26a441e2c0e82e30e 1854 pdnsd_1.2.8-par-3.dsc
 637ba9ae00f0faaa639297516c644bb480c29154af9a967da42e0b877038317c 28508 pdnsd_1.2.8-par-3.debian.tar.gz
 b1ae8c04060679788deae1ee105120d102b88ca9e5bd6b7788e7702ae2b3035a 304714 pdnsd_1.2.8-par-3_amd64.deb
Files: 
 3675257c6e174d07a2eb563a95a06341 1854 net optional pdnsd_1.2.8-par-3.dsc
 b3039c2982c90af6984339f85d33184c 28508 net optional pdnsd_1.2.8-par-3.debian.tar.gz
 400928832c98181fdaf469a5153738b5 304714 net optional pdnsd_1.2.8-par-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQgboKAAoJELs6aAGGSaoGuGoQAKCbQcyqwdtBMZVUJpW11PTH
9XlsbX0zMiNBli58Re/SJ4Fl5fh60ULM5lTqY6xw4gyravq3SvHohJczkP7a8Sl8
VcLXr+p8Ckwe4eQQuJQv+SGGRpYmPQ9CvaCAKNf/L8e5Cnb1RHEstS4/apXsqNbr
94ZjIfXvULFbSaj0brhhWr1lld+sKvAX2aemiqSr3vJUv3jc0KPL2KC6y8fxJRHP
4AVB00e1AHHPHZCMOaPXdxE/ZHlY0NCY4rjjtQcfGk5tysiUeK20ryHKp6Pej28V
wfYIOGcUrgYHtIcKfrcwkmBz1J42OS1mO4jWp1HeyhVWpnREljVgdJ/Tzpx4/WER
jRA+zFjUMHl2aFKnJJ9irqro4YbaA97sN5xcsADCBmfSZvrEi2/cF2lqGIrEzlxn
n6hYDTZ9BPJK7OYgG5EhVqCMtp8cDTxzVMLI5wmR4O06EsJFBYPrFQedhxePjkHM
Umxjnc8BlBeTNC4d/WTGllwXOPOBdQZMmt1cWEqC06T9TZPvqqLVIQGKhhufwXXq
bA3CPIuxxPpL8y4O3yCwpUYnqpXYSaHt3qQ4BojX3qGOoaFGsmAvzcR5Hk/XtWcA
qhTGWbF9NmuuKCaQWJl7YiwbTojod7y5nEPPSrOtOIhQgQsxRbEDM8HP5zx1rASt
Jl8ii08st4d8zKufuB17
=mJcX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Dec 2012 07:28:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:07:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.